Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1348760 - [abrt] vino: XQueryExtension(): vino-server killed by SIGSEGV
Summary: [abrt] vino: XQueryExtension(): vino-server killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71e50e3172c346f84137b4107c8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 01:27 UTC by Ben Liblit
Modified: 2017-08-08 14:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:55:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-06-22 01:27 UTC, Ben Liblit
no flags Details
File: cgroup (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: core_backtrace (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: dso_list (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: environ (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: exploitable (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: limits (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: maps (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: mountinfo (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: namespaces (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: open_fds (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: proc_pid_status (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details
File: var_log_messages (deleted)
2016-06-22 01:28 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2016-06-22 01:27:02 UTC
Version-Release number of selected component:
vino-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
global_pid:     3101
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            29364

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 get_xinput_base at XTest.c:79
 #2 find_display at XTest.c:83
 #3 XTestQueryExtension at XTest.c:101
 #4 vino_input_init at server/vino-input.c:761
 #5 name_acquired at server/vino-main.c:152
 #6 do_call at gdbusnameowning.c:215
 #7 request_name_cb at gdbusnameowning.c:327
 #8 g_task_return_now at gtask.c:1107
 #9 g_task_return at gtask.c:1165

Potential duplicate: bug 1277270

Comment 1 Ben Liblit 2016-06-22 01:27:07 UTC
Created attachment 1170487 [details]
File: backtrace

Comment 2 Ben Liblit 2016-06-22 01:28:14 UTC
Created attachment 1170491 [details]
File: cgroup

Comment 3 Ben Liblit 2016-06-22 01:28:17 UTC
Created attachment 1170492 [details]
File: core_backtrace

Comment 4 Ben Liblit 2016-06-22 01:28:21 UTC
Created attachment 1170495 [details]
File: dso_list

Comment 5 Ben Liblit 2016-06-22 01:28:26 UTC
Created attachment 1170498 [details]
File: environ

Comment 6 Ben Liblit 2016-06-22 01:28:27 UTC
Created attachment 1170499 [details]
File: exploitable

Comment 7 Ben Liblit 2016-06-22 01:28:29 UTC
Created attachment 1170502 [details]
File: limits

Comment 8 Ben Liblit 2016-06-22 01:28:32 UTC
Created attachment 1170503 [details]
File: maps

Comment 9 Ben Liblit 2016-06-22 01:28:34 UTC
Created attachment 1170504 [details]
File: mountinfo

Comment 10 Ben Liblit 2016-06-22 01:28:37 UTC
Created attachment 1170506 [details]
File: namespaces

Comment 11 Ben Liblit 2016-06-22 01:28:39 UTC
Created attachment 1170508 [details]
File: open_fds

Comment 12 Ben Liblit 2016-06-22 01:28:40 UTC
Created attachment 1170509 [details]
File: proc_pid_status

Comment 13 Ben Liblit 2016-06-22 01:28:50 UTC
Created attachment 1170511 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:10:26 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 14:55:26 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.